import * as React from 'react';

// tslint:disable-next-line:no-any
const SvgComponent = (props: any) => (
	<svg viewBox="0 0 40 40" {...props}>
		<path d="M0 0v40h40V0zm7.48 7.05h6.33l-.21.21-1 1.11a.25.25 0 0 1-.21.09h-3.2a.3.3 0 0 0-.3.3v6.14a.3.3 0 0 0 .28.3h5.92a.74.74 0 0 0 .59-.26l1.37-1.51v3.17H7.48zm9.57 24.56H7.48v-9.56h6.33l-.21.21-1 1.11a.25.25 0 0 1-.21.09h-3.2a.3.3 0 0 0-.3.3v6.14a.3.3 0 0 0 .28.3h5.92a.74.74 0 0 0 .59-.26l1.37-1.51zm-3.69-3l-2.8-2.67 1-1 1.53 1.46a.3.3 0 0 0 .2.08.35.35 0 0 0 .21-.1l3.79-4.16 1 .95zm0-15l-2.8-2.67 1-1 1.53 1.46a.3.3 0 0 0 .2.08.35.35 0 0 0 .21-.1l3.79-4.16 1 1zm16.3 18h-10v-1.38h10zm3-4h-13v-1.43h13zm-13-11v-1.38h10v1.39zm13-4h-13v-1.43h13z" />
	</svg>
);

export default SvgComponent;
